]> git.pld-linux.org Git - packages/X11.git/blobdiff - xdm.init
- cleanup
[packages/X11.git] / xdm.init
index 123d5eb6117c480b6fdf810d78d2c83de283ae36..bf9e8a60ec27232781d72f298de372a842d6219a 100644 (file)
--- a/xdm.init
+++ b/xdm.init
@@ -2,11 +2,11 @@
 #
 # xdm:         Starts the X Display Manager
 #
-# Version:      @(#) /etc/rc.d/init.d/xdm 1.3
+# Version:     @(#) /etc/rc.d/init.d/xdm 1.3
 #
-# chkconfig:   5 95 5
-# description: Starts and stops the X Display Manager at startup and
-#              shutdown. can run one of several display managers; gdm, kdm,
+# chkconfig:   5 95 05
+# description: Starts and stops the X Display Manager at startup and \
+#              shutdown. can run one of several display managers; gdm, kdm, \
 #              or xdm, in that order of preferential treatment.
 #
 # config:      /etc/X11/xdm/xdm-config
 . /etc/rc.d/init.d/functions
 
 # Get service config
-if [ -f /etc/sysconfig/xdm ] ; then
-        . /etc/sysconfig/xdm
+if [ -f /etc/sysconfig/xdm ]; then
+       . /etc/sysconfig/xdm
 fi
 
-# See how we were called.
-case "$1" in
-  start)
-       # Check if the service is already running?
-       if [ -f /var/lock/subsys/xdm ]; then
+start() {
+       if [ ! -f /var/lock/subsys/xdm ]; then
+               msg_starting "X Display Manager"
+               daemon xdm
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/xdm
+       else
                msg_already_running "X Display Manager"
+       fi
+}
+
+stop() {
+       if [ -f /var/lock/subsys/xdm ]; then
+               msg_stopping "X Display Manager"
+               killproc xdm
+               rm -f /var/lock/subsys/xdm
        else
-               msg_starting "X Display Manager"
-               daemon /usr/X11R6/bin/xdm
-               touch /var/lock/subsys/xdm
+               msg_not_running "X Display Manager"
+       fi
+}
+
+condrestart() {
+       if [ -f /var/lock/subsys/xdm ]; then
+               stop
+               start
+       else
+               msg_not_running xdm
+               RETVAL=$1
        fi
+}
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       start
        ;;
   stop)
-       msg_stopping "X Display Manager"
-       killproc xdm
-       rm -f /var/lock/subsys/xdm
+       stop
+       ;;
+  restart)
+       stop
+       start
+       ;;
+  try-restart)
+       condrestart 0
+       ;;
+  force-reload)
+       condrestart 7
        ;;
   status)
        status xdm
-       ;;
-  restart|reload)
-       $0 stop
-       $0 start
+       exit $?
        ;;
   *)
-       msg_usage "$0 {start|stop|status|restart|reload}"
-       exit 1
+       msg_usage "$0 {start|stop|restart|try-restart|force-reload|status}"
+       exit 3
 esac
 
-exit 0
+exit $RETVAL
This page took 0.110413 seconds and 4 git commands to generate.